SocialEngine 4.1 и Curl extension

Тема в разделе "Social Engine", создана пользователем t3chn0ph0b, 19 сен 2010.

Статус темы:
Закрыта.
  1. t3chn0ph0b

    t3chn0ph0b Писатель

    Регистр.:
    12 сен 2010
    Сообщения:
    4
    Симпатии:
    0
    При установке SocialEngine 4.1, оно начинает ругаться на Curl extension.

    Код:
    Curl - The Curl extension is required. 
    Хотя в php.ini:
    Код:
    [PHP_CURL]
    extension=php_curl.dll
    и все файлы(dll) на месте.

    И как ни странно другие CMS требующие наличие Curl работают отлично.

    + APC - For optimal performance, we recommand the Alternative PHP Cache extension

    что это за зверь?
     
  2. Flllik

    Flllik

    Заблокирован
    Регистр.:
    23 янв 2008
    Сообщения:
    236
    Симпатии:
    21
    APC - для хеширования.
    я себе установил xcache
    но у меня freebsd а не винда!"
     
  3. t3chn0ph0b

    t3chn0ph0b Писатель

    Регистр.:
    12 сен 2010
    Сообщения:
    4
    Симпатии:
    0
    ясно, а что по поводу Curl?
     
  4. Aftal1ck

    Aftal1ck Создатель

    Регистр.:
    22 дек 2007
    Сообщения:
    44
    Симпатии:
    9
    Раскоментировать строчку ;extension=php_curl.dll

    на dendwer это делается так:
     
  5. DMS

    DMS Злодей

    Moderator
    • Супермодератор
    Регистр.:
    22 окт 2010
    Сообщения:
    631
    Симпатии:
    348
    Попробуй на денвере поднять, а потом с хостингом воевать
    1. Для начала скачиваем пакет расширения PHP5: дополнительные модули (Denwer3_PHP5_2010-03-18_php5.3.1.exe-проверенно рабочая)
    2. Устанавливаем данный пакет (там все просто)
    3. Открываем в текстовом редакторе файл usr/local/php5/php.ini и снимаем комментарий со строчки:
    ;extension=php_curl.dll
    4. Перезапускаем денвер – Denwer Restart Servers
     
Статус темы:
Закрыта.